Bug 1753934

Summary: python-mplcairo fails to build with Python 3.8 on Fedora 32+
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-mplcairoAssignee: Elliott Sales de Andrade <quantum.analyst>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: rawhideCC: python-sig, quantum.analyst
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-20 10:26:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1750908, 1750909, 1686977    

Description Miro Hrončok 2019-09-20 10:18:25 UTC
python-mplcairo fails to build with Python 3.8.0b4 in Fedora 32.

See the build failures at https://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=python-mplcairo

E       AssertionError: 
E       Arrays are not almost equal to 3 decimals
E       
E       Mismatch: 25%
E       Max absolute difference: 0.00784313
E       Max relative difference: 0.01960783
E        x: array([0.   , 1.   , 0.392, 0.251], dtype=float32)
E        y: array([0.  , 1.  , 0.4 , 0.25])
/usr/lib64/python3.8/site-packages/matplotlib/tests/test_agg.py:42: AssertionError
...

It is not important whether the problem is relevant to Python 3.8, this issue is blocking the Python 3.8 rebuilds.
If this package won't build with 3.8, it won't be installable, along with all its dependent packages, in Fedora 32 and further.

Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well.

Please rebuild the package in Fedora 32 (rawhide).

Let us know here if you have any questions. Thank You!

Comment 1 Miro Hrončok 2019-09-20 10:26:22 UTC

*** This bug has been marked as a duplicate of bug 1736511 ***